Donanım ve Yazılım
Önceki VIII. Oylum - Emacspeak Nasıl Kullanılır Sonraki
Donanım ve Yazılım
Çevirmenin notu:
    Bu bölüm 1990'larda kullanılan ve özellikle ingilizce bireştirici
    donanımları ve bunlarla ilgili yazılımlarla ilgilidir. Günümüz
    bilgisayarları için her amaca uygun ses kartları ve bunlarla
    çalışabilen bireştirici yazılımları vardır. Artık böyle özel donanımlara
    ihtiyaç kalmamıştır. Bu nedenle bu bölümü atlayabilirsiniz.

Bu Bölümün İçeriği:
    Emacspeak'ın çalıştırılması için gereken Donanım
    Konuşma bireştirici hakkında genel bilgiler
    Emacspeak'ın çalıştırılması için gereken Yazılım
    Konuşma bireştirici için gereken yazılımın bulunması

    Linux ve Emacspeak'in birkaç sürümü vardır. Bu öğretici Emacs'ın 20.2 ve
    Emacspeak'ın 9.0 sürümüne sahip bir Linux'u esas alır. Diğer sürümler
    komutlarda ve yanıtlamalarda biraz farklılıklara sahip olabilir.

Donanım Gereklilikleri
    Bilgisayar
        Linux, Emacs ve Emacspeak'ı çalıştırmak için gereksinim duyacağınız
        kişisel bilgisayar (PC) şu parçalara gereksinim duyar:
            Intel 386 veya daha yüksek işlemci
            8 MB ram
            300 MB sabit disk

    Konuşma Bireştirici
        Konuşma çıktısı elde etmek için bilgisayarınıza eklenmiş bir konuşma
        bireştiricisine gereksiniminiz olacak. Birçok markadan seçim
        yapabilirsiniz (bunlar bilgisayara takılan birer aygıttır):

          DECtalk
          DECtalk Express
          DECtalk Multivoice
          DoubleTalk PC
          DoubleTalk LT
          LiteTalk
          Apollo
          Braille'n Speak
          Type'n Speak
          Braille Lite
          Accent

        Bireştirici seçecenekleri için her bireştiricinin kendi bilgilerine
        bakın. Markaya bağlı olarak, farklı konuşma sesleri ve çeşitli konuşma
        hızları seçebilirsiniz.

        Bazı konuşma bireştiriciler Emacspeak paketinde olmayan yazılımlara
        (konuşma sunucuları ve aygıt sürücüleri vs) gereksinim duyarlar.
        Tablo 1 her bir bireşticinin markası için yazılım gerekliliklerini
        listeler.

        Tablo 1. Bireştirici için gereken yazılımlar
          1. Tüm bireştiriciler Emacspeak'a gereksinim duyarlar.
          2. Bu bireştiriciler farklı birer konuşma sunucusuna gereksinim
             duyarlar:
              DoubleTalkLT
              DoubleTalk PC
              Braille'n Speak
              Braille Lite
              Type'n Speak
              Apollo
              Accent

          3. Bu bireştirici farklı bir aygıt sürücüsüne gerek duyar:
              DoubleTalk PC
        Tablo 1'in sonu 1

Yazılım Gereklilikleri
    Bu öğretici Emacs sürümü 20.2 ve Emacspeak sürümü 9.0'lı bir Linux'a
    tabanlıdır. Konuşma çıktısı için gereken tüm yazılımlar özgür olarak
    internetten indirilmek üzere hazırdır.

    Emacspeak'ı çalıştırmak için aşağıdakilere gereksinim duyarsınız:
      Linux (tüm popüler dağıtımlar, Örn. Red Hat, Debian veya Slackware)
      Emacs
      tcl ("tikıl" diye telaffuz edilir; bir yorumlayıcıdır)
      tclx (tikılın bir eklentisi)
      Emacspeak

    Not: Emacs, tcl ve tclx popüler dağıtımların içinde mevcuttur.

Yazılım indirme
    Eğer internetten yazılımları nasıl indireceğiniz hakkında bilgiye
    gereksinim duyarsanız Eklerden A'ya bakın.

Linux'un temini
    Linux için yazılım ücretsiz ve özgür olarak bir çok internet sitesinde
    mevcuttur. Siz ayrıca Linux'u bilgisayar satıcılarından ya da
    kitapçılardan satın alabilirsiniz. Aşağıdaki liste Slackware dağıtımı
    için bazı internet kaynaklarını sunar. Bunları aşağıda listelendiği gibi
    ftp veya http protokolü ile elde edebilirsiniz:

    ftp://ftp.cdrom.com/pub/linux/slackware
    ftp://sunsite.unc.edu/pub/Linux/distributions/slackware
    ftp://uiarchive.cso.uiuc.edu/pub/systems/linux/sunsite/distributions/slackware
    http://sunsite.unc.edu/pub/Linux.welcome.html
    ftp://sunsite.unc.edu/pub/Linux/docs/HOWTO/INFO-SHEET

Emacspeak'in temini
     Temel Emacspeak paketini bu sitelerin herhangi birinden indirebilirsiniz:
        Emacspeak web sayfası:
        http://www.cs.cornell.edu/Info/People/raman/emacspeak/emacspeak.html

        Emacspeak sitesinin ABD yansısı
        http://leb.net/pub/blinux/emacspeak/cornell.mirror
        ftp://leb.net/pub/blinux/emacspeak/blinux/smacsp

        Emacspeak sitesinin Avrupa yansısı:
        ftp://ftp.uni-muenster.de/share/public6
        ftp://ftp.gwdg.de/pub/linux/misc/blinux/

Konuşma sunucusunun temini
    Herbir bireştirici farklı konuşma sunucusu tercih eder:
      DoubleTalk LT
      DoubleTalk PC
      LiteTalk
      Braille 'n Speak
      Braille Lite
      Type 'n Speak
      Apollo
      Accent

    Gereken konuşma sunucuları "emacspeak-ss-1.5.tar.gz" gibi bir dosya adı
    ile bir yazılım paketi içinde gelir. Aşağıdaki adresleri kullanarak
    indirebilirsiniz.

    ftp://leb.net/pub/blinux/emacspeak/blinux/
    http://www.mv.com/ipusers/vanzandt/

    Bu site Debian Linux dağıtımlarında çalışan "emacspeak-ss-1.5-2_i386.deb"
    ismi ile bir paket sunar:
    http://www.mv.com/ipusers/vanzandt/

Müstakil bir aygıt sürücüsü temini
    DoubleTalk PC bireştiricisi müstakil bir aygıt sürücüsüne gereksinim duyar.
    Linux çekirdeğinin 2.2 ve sonraki sürümleri bu sürücüleri içerir. "Double
    Talk PC internal speech card support" sorusunu Y diye yanıtlayarak
    çekirdeği yeniden yapılandırmak zorunda kalabilirsiniz.  Aşağıdaki
    adresleri kullanarak daha önceki çekirdekleri destekleyen DoubleTalk PC
    aygıt sürücüsünü indirebilirsiniz.

      ftp://leb.net/pub/blinux/emacspeak/blinux/dtlk-1.19.tar.gz
      http://www.mv.com/ipusers/vanzandt/dtlk-1.19.tar.gz

    Bu site Debian Linux dağıtımı için sürücü sunar:
      http://www.mv.com/ipusers/vanzandt/dtlk_1.19-1_i386.deb
Önceki Üst Ana Başlık Sonraki
Giriş Başlangıç Gezinim Araçları
Bir Linux Kitaplığı Sayfası